X2Go Bug report logs - #1552
Bug: server clipboard settings overridden by client when session is closed and reconnected

version graph

Package: x2goserver; Maintainer for x2goserver is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goserver is src:x2goserver.

Reported by: DANIEL PAVANAN <ar.daniel.pavanan@gmail.com>

Date: Mon, 28 Jun 2021 11:50:02 UTC

Severity: normal

Found in version 4.1.0.3

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1552; Package x2goserver. (Mon, 28 Jun 2021 11:50:02 GMT) (full text, mbox, link).


Acknowledgement sent to DANIEL PAVANAN <ar.daniel.pavanan@gmail.com>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 28 Jun 2021 11:50:02 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: DANIEL PAVANAN <ar.daniel.pavanan@gmail.com>
To: submit@bugs.x2go.org
Subject: Bug: server clipboard settings overridden by client when session is closed and reconnected
Date: Mon, 28 Jun 2021 17:15:06 +0530
[Message part 1 (text/plain, inline)]
Package: x2goserver
Version: 4.1.0.3

I ve encountered a bug in the server's clipboard setting. Please review the
below detail and advise necessary solutions or kindly fix issues.

*Problem -*
server clipboard settings overridden by client when session is closed and
reconnected  with any change in session setting.

*Steps to reproduce-*
1 edit /etc/x2go/x2goagent.options, added
 ...
   X2GO_NXAGENT_DEFAULT_OPTIONS+=" -clipboard client"

2 reloaded server, setup up client session setting and connected
first time around it works as intended (from the client we could copy to
server, but not from server to client)

3 now close the x2go client session window and change some setting in
session preferences -> Input/ Output -> clipboard more (it could be server
to client copy or bidirectional copy ) and connect the session again
Now the server's clipboard setting is overridden by the clients clipboard
setting and we can copy from server to client.
Change in the session preferences can also be something different like
change in compression method in connection tab

*Expected behaviour*
whatever the action from client side, when server setting for clipboard
options is set, client's option should NOT override


*Info *
Client OS - linux mint mate 20 ulyana
x2goclient version - 4.1.2.2-1

x2goclient session settings -
[20210612224421681]
applications=WWWBROWSER, MAILCLIENT, OFFICE, TERMINAL
autologin=false
clipboard=both
command=MATE
defsndport=true
directrdp=false
directrdpsettings=
directxdmcp=false
directxdmcpsettings=
display=1
dpi=142
export=
fstunnel=true
fullscreen=false
height=1080
host=<host name here>
icon=:/img/icons/128x128/x2gosession.png
iconvfrom=ISO8859-1
iconvto=UTF-8
kdrive=false
key=/path/to/user/sshkey
krbdelegation=false
krblogin=false
maxdim=false
multidisp=false
name=<session name here>
pack=2m-jpeg
print=false
published=false
quality=9
rdpclient=rdesktop
rdpoptions=
rdpport=3389
rdpserver=
rootless=false
setdpi=true
sndport=4713
sound=true
soundsystem=pulse
soundtunnel=true
speed=2
sshport=<ssh custom port no>
sshproxyautologin=false
sshproxyhost=
sshproxykeyfile=
sshproxykrblogin=false
sshproxyport=22
sshproxysamepass=false
sshproxysameuser=false
sshproxytype=SSH
sshproxyuser=
startsoundsystem=true
type=auto
useiconv=false
usekbd=true
user=<remote user name here>
usesshproxy=false
width=1920
xdmcpclient=Xnest
xdmcpserver=localhost
xinerama=false

server OS - ubuntu server 20.04 LTS
x2goserver: 4.1.0.3
x2goserver-common: 4.1.0.3
x2goserver-extensions: 4.1.0.3
x2goserver-fmbindings: 4.1.0.3
x2goserver-printing: 4.1.0.3
x2goserver-x2goagent: 3.5.99.23  (not sure why this x2goagent version is
out of sink with the others, how can I update this)
x2goserver-xsession: 4.1.0.3

x2goagent options -
(removed the comments )

X2GO_NXAGENT_DEFAULT_OPTIONS=""
X2GO_NXAGENT_DEFAULT_OPTIONS+=" -extension GLX"
X2GO_NXAGENT_DEFAULT_OPTIONS+=" -nolisten tcp"
X2GO_NXAGENT_DEFAULT_OPTIONS+=" -clipboard client"
X2GO_NXOPTIONS=""

desktop environment installed
mate installed with
apt-get install ubuntu-mate-desktop

other settings not changed


Moreover the server version installed is from 2018 and its not in the same
timeline as the client version which is from 2020. Is there a server
version after 2020 or so?
I couldn't find it here.
https://code.x2go.org/releases/source/x2goserver/



Aside from the above issue.
Finding relevant issue for checking if already someone has raised / if
solution already exist cannot be searched with the url stated below
https://bugs.x2go.org/cgi-bin/pkgindex.cgi?indexon=src
It would be better if existing issues and/ or solutions are searchable
somewhere in x2go website.

regards
Daniel



---------- Forwarded message ---------
From: X2Go Bug Tracking System <owner@bugs.x2go.org>
Date: Mon, Jun 28, 2021 at 4:00 PM
Subject: Message with no Package: tag cannot be processed! (Fwd: Message
with no Package: tag cannot be processed! (Bug: server clipboard settings
overridden by client when session is closed and reconnected))
To: DANIEL PAVANAN <ar.daniel.pavanan@gmail.com>


Your message didn't have a Package: line at the very first line of the
mail body (part of the pseudo-header), or didn't have a Package: line
at all. Unfortunatly, this means that your message has been ignored
completely.

Without this information we are unable to categorise or otherwise deal
with your problem report. Please _resubmit_ your report to
submit@bugs.x2go.org and tell us which package the
report is for. For help, check out
https://bugs.x2go.org/Reporting.html.

Your message was dated Mon, 28 Jun 2021 15:54:51 +0530 and had
message-id <
CACbeUuqboFi5c9N+j7fcRqndz-_H4aLpW5HRhakWy6DFWm+XmQ@mail.gmail.com>
and subject Fwd: Message with no Package: tag cannot be processed! (Bug:
server clipboard settings overridden by client when session is closed and
reconnected).
The complete text of it is attached to this message.

If you need any assistance or explanation please contact
owner@bugs.x2go.org and include the the attached
message.

If you didn't send the attached message (spam was sent forging your
from address), we apologize; please disregard this message.

-- 
-1: https://bugs.x2go.org/cgi-bin/bugreport.cgi?bug=-1
X2Go Bug Tracking System
Contact owner@bugs.x2go.org with problems



---------- Forwarded message ----------
From: DANIEL PAVANAN <ar.daniel.pavanan@gmail.com>
To: submit@bugs.x2go.org
Cc:
Bcc:
Date: Mon, 28 Jun 2021 15:54:51 +0530
Subject: Fwd: Message with no Package: tag cannot be processed! (Bug:
server clipboard settings overridden by client when session is closed and
reconnected)
Package : x2go server
x2goserver: 4.1.0.3

(I earlier sent this mail with a greeting line and my mail got
auto-rejected and got to know only now from spam folder.
Now resending with package line being the first line of the mail body )
I ve encountered a bug in the server's clipboard setting. Please review the
below detail and advise necessary solutions or kindly fix issues.

*Problem -*
server clipboard settings overridden by client when session is closed and
reconnected  with any change in session setting.

*Steps to reproduce-*
1 edit /etc/x2go/x2goagent.options, added
 ...
   X2GO_NXAGENT_DEFAULT_OPTIONS+=" -clipboard client"

2 reloaded server, setup up client session setting and connected
first time around it works as intended (from the client we could copy to
server, but not from server to client)

3 now close the x2go client session window and change some setting in
session preferences -> Input/ Output -> clipboard more (it could be server
to client copy or bidirectional copy ) and connect the session again
Now the server's clipboard setting is overridden by the clients clipboard
setting and we can copy from server to client.
Change in the session preferences can also be something different like
change in compression method in connection tab

*Expected behaviour*
whatever the action from client side, when server setting for clipboard
options is set, client's option should NOT override


*Info *
Client OS - linux mint mate 20 ulyana
x2goclient version - 4.1.2.2-1

x2goclient session settings -
[20210612224421681]
applications=WWWBROWSER, MAILCLIENT, OFFICE, TERMINAL
autologin=false
clipboard=both
command=MATE
defsndport=true
directrdp=false
directrdpsettings=
directxdmcp=false
directxdmcpsettings=
display=1
dpi=142
export=
fstunnel=true
fullscreen=false
height=1080
host=<host name here>
icon=:/img/icons/128x128/x2gosession.png
iconvfrom=ISO8859-1
iconvto=UTF-8
kdrive=false
key=/path/to/user/sshkey
krbdelegation=false
krblogin=false
maxdim=false
multidisp=false
name=<session name here>
pack=2m-jpeg
print=false
published=false
quality=9
rdpclient=rdesktop
rdpoptions=
rdpport=3389
rdpserver=
rootless=false
setdpi=true
sndport=4713
sound=true
soundsystem=pulse
soundtunnel=true
speed=2
sshport=<ssh custom port no>
sshproxyautologin=false
sshproxyhost=
sshproxykeyfile=
sshproxykrblogin=false
sshproxyport=22
sshproxysamepass=false
sshproxysameuser=false
sshproxytype=SSH
sshproxyuser=
startsoundsystem=true
type=auto
useiconv=false
usekbd=true
user=<remote user name here>
usesshproxy=false
width=1920
xdmcpclient=Xnest
xdmcpserver=localhost
xinerama=false

server OS - ubuntu server 20.04 LTS
x2goserver: 4.1.0.3
x2goserver-common: 4.1.0.3
x2goserver-extensions: 4.1.0.3
x2goserver-fmbindings: 4.1.0.3
x2goserver-printing: 4.1.0.3
x2goserver-x2goagent: 3.5.99.23  (not sure why this x2goagent version is
out of sink with the others, how can I update this)
x2goserver-xsession: 4.1.0.3

x2goagent options -
(removed the comments )

X2GO_NXAGENT_DEFAULT_OPTIONS=""
X2GO_NXAGENT_DEFAULT_OPTIONS+=" -extension GLX"
X2GO_NXAGENT_DEFAULT_OPTIONS+=" -nolisten tcp"
X2GO_NXAGENT_DEFAULT_OPTIONS+=" -clipboard client"
X2GO_NXOPTIONS=""

desktop environment installed
mate installed with
apt-get install ubuntu-mate-desktop

other settings not changed


Moreover the server version installed is from 2018 and its not in the same
timeline as the client version which is from 2020. Is there a server
version after 2020 or so?
I couldn't find it here.
https://code.x2go.org/releases/source/x2goserver/



Aside from the above issue.
Finding relevant issue for checking if already someone has raised / if
solution already exist cannot be searched with the url stated below
https://bugs.x2go.org/cgi-bin/pkgindex.cgi?indexon=src
It would be better if existing issues and/ or solutions are searchable
somewhere in x2go website.

regards
Daniel


---------- Forwarded message ---------
From: X2Go Bug Tracking System <owner@bugs.x2go.org>
Date: Mon, Jun 14, 2021 at 1:20 AM
Subject: Message with no Package: tag cannot be processed! (Bug: server
clipboard settings overridden by client when session is closed and
reconnected)
To: DANIEL PAVANAN <ar.daniel.pavanan@gmail.com>


Your message didn't have a Package: line at the very first line of the
mail body (part of the pseudo-header), or didn't have a Package: line
at all. Unfortunatly, this means that your message has been ignored
completely.

Without this information we are unable to categorise or otherwise deal
with your problem report. Please _resubmit_ your report to
submit@bugs.x2go.org and tell us which package the
report is for. For help, check out
https://bugs.x2go.org/Reporting.html.

Your message was dated Mon, 14 Jun 2021 01:15:05 +0530 and had
message-id <CACbeUura=
bZE7_uUcfVcr9dMAkdexLsQ7GaUShsG7gaSfg9akA@mail.gmail.com>
and subject Bug: server clipboard settings overridden by client when
session is closed and reconnected.
The complete text of it is attached to this message.

If you need any assistance or explanation please contact
owner@bugs.x2go.org and include the the attached
message.

If you didn't send the attached message (spam was sent forging your
from address), we apologize; please disregard this message.

-- 
-1: https://bugs.x2go.org/cgi-bin/bugreport.cgi?bug=-1
X2Go Bug Tracking System
Contact owner@bugs.x2go.org with problems



---------- Forwarded message ----------
From: DANIEL PAVANAN <ar.daniel.pavanan@gmail.com>
To: submit@bugs.x2go.org
Cc:
Bcc:
Date: Mon, 14 Jun 2021 01:15:05 +0530
Subject: Bug: server clipboard settings overridden by client when session
is closed and reconnected

Hello X2go Team

Package : x2go server
x2goserver: 4.1.0.3

I ve encountered a bug in the server's clipboard setting. Please review the
below detail and advise necessary solutions or kindly fix issues.

*Problem -*
server clipboard settings overridden by client when session is closed and
reconnected  with any change in session setting.

*Steps to reproduce-*
1 edit /etc/x2go/x2goagent.options, added
 ...
   X2GO_NXAGENT_DEFAULT_OPTIONS+=" -clipboard client"

2 reloaded server, setup up client session setting and connected
first time around it works as intended (from the client we could copy to
server, but not from server to client)

3 now close the x2go client session window and change some setting in
session preferences -> Input/ Output -> clipboard more (it could be server
to client copy or bidirectional copy ) and connect the session again
Now the server's clipboard setting is overridden by the clients clipboard
setting and we can copy from server to client.
Change in the session preferences can also be something different like
change in compression method in connection tab

*Expected behaviour*
whatever the action from client side, when server setting for clipboard
options is set, client's option should NOT override


*Info *
Client OS - linux mint mate 20 ulyana
x2goclient version - 4.1.2.2-1

x2goclient session settings -
[20210612224421681]
applications=WWWBROWSER, MAILCLIENT, OFFICE, TERMINAL
autologin=false
clipboard=both
command=MATE
defsndport=true
directrdp=false
directrdpsettings=
directxdmcp=false
directxdmcpsettings=
display=1
dpi=142
export=
fstunnel=true
fullscreen=false
height=1080
host=<host name here>
icon=:/img/icons/128x128/x2gosession.png
iconvfrom=ISO8859-1
iconvto=UTF-8
kdrive=false
key=/path/to/user/sshkey
krbdelegation=false
krblogin=false
maxdim=false
multidisp=false
name=<session name here>
pack=2m-jpeg
print=false
published=false
quality=9
rdpclient=rdesktop
rdpoptions=
rdpport=3389
rdpserver=
rootless=false
setdpi=true
sndport=4713
sound=true
soundsystem=pulse
soundtunnel=true
speed=2
sshport=<ssh custom port no>
sshproxyautologin=false
sshproxyhost=
sshproxykeyfile=
sshproxykrblogin=false
sshproxyport=22
sshproxysamepass=false
sshproxysameuser=false
sshproxytype=SSH
sshproxyuser=
startsoundsystem=true
type=auto
useiconv=false
usekbd=true
user=<remote user name here>
usesshproxy=false
width=1920
xdmcpclient=Xnest
xdmcpserver=localhost
xinerama=false

server OS - ubuntu server 20.04 LTS
x2goserver: 4.1.0.3
x2goserver-common: 4.1.0.3
x2goserver-extensions: 4.1.0.3
x2goserver-fmbindings: 4.1.0.3
x2goserver-printing: 4.1.0.3
x2goserver-x2goagent: 3.5.99.23  (not sure why this x2goagent version is
out of sink with the others, how can I update this)
x2goserver-xsession: 4.1.0.3

x2goagent options -
(removed the comments )

X2GO_NXAGENT_DEFAULT_OPTIONS=""
X2GO_NXAGENT_DEFAULT_OPTIONS+=" -extension GLX"
X2GO_NXAGENT_DEFAULT_OPTIONS+=" -nolisten tcp"
X2GO_NXAGENT_DEFAULT_OPTIONS+=" -clipboard client"
X2GO_NXOPTIONS=""

desktop environment installed
mate installed with
apt-get install ubuntu-mate-desktop

other settings not changed


Moreover the server version installed is from 2018 and its not in the same
timeline as the client version which is from 2020. Is there a server
version after 2020 or so?
I couldn't find it here.
https://code.x2go.org/releases/source/x2goserver/



Aside from the above issue.
Finding relevant issue for checking if already someone has raised / if
solution already exist cannot be searched with the url stated below
https://bugs.x2go.org/cgi-bin/pkgindex.cgi?indexon=src
It would be better if existing issues and/ or solutions are searchable
somewhere in x2go website.

regards
Daniel
[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1552; Package x2goserver. (Mon, 02 Aug 2021 07:15:02 GMT) (full text, mbox, link).


Acknowledgement sent to uli42@gmx.de:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 02 Aug 2021 07:15:02 GMT) (full text, mbox, link).


Message #10 received at 1552@bugs.x2go.org (full text, mbox, reply):

From: Ulrich Sibiller <ulrich.sibiller@gmail.com>
To: DANIEL PAVANAN <ar.daniel.pavanan@gmail.com>, 1552@bugs.x2go.org
Cc: submit@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#1552: Bug: server clipboard settings overridden by client when session is closed and reconnected
Date: Mon, 2 Aug 2021 09:12:38 +0200
Yes, it would be better if we had a bugtracker with a decent graphical
interface. But as everything within the project this is a resource
issue, we simply lak manpower.

No, AFAIR there's no newer server release but there's something in the pipeline.

The clipboard is working as designed. I agree that for some setup it
is not desirable for the client to change security related settings.
Currently there's no mechanism to protect settings from being changed
on reconnect. This is not as simple as it might sound. You need to
prevent the server side from accepting any changes to those settings
and need to implement an interface to tell the server what those
settings are. And you need to adapt the client to provide means to let
the user configure that for the initial session. Also you need to
prevent the user from modifying the config file during the session as
the (generated) server-side config file is belonging to the user.

You could, however, try to force that setting in /etc/x2go/x2goagent.options:

X2GO_NXOPTIONS="clipboard=client"

I am not sure if this works for reconnects but it is worth a try, I'd
say. Downside: it will be applied for all sessions.

Uli

On Mon, Aug 2, 2021 at 7:58 AM DANIEL PAVANAN
<ar.daniel.pavanan@gmail.com> wrote:
>
> Package: x2goserver
> Version: 4.1.0.3
>
> I ve encountered a bug in the server's clipboard setting. Please review the below detail and advise necessary solutions or kindly fix issues.
>
> Problem -
> server clipboard settings overridden by client when session is closed and reconnected  with any change in session setting.
>
> Steps to reproduce-
> 1 edit /etc/x2go/x2goagent.options, added
>  ...
>    X2GO_NXAGENT_DEFAULT_OPTIONS+=" -clipboard client"
>
> 2 reloaded server, setup up client session setting and connected
> first time around it works as intended (from the client we could copy to server, but not from server to client)
>
> 3 now close the x2go client session window and change some setting in session preferences -> Input/ Output -> clipboard more (it could be server to client copy or bidirectional copy ) and connect the session again
> Now the server's clipboard setting is overridden by the clients clipboard setting and we can copy from server to client.
> Change in the session preferences can also be something different like change in compression method in connection tab
>
> Expected behaviour
> whatever the action from client side, when server setting for clipboard options is set, client's option should NOT override
>
>
> Info
> Client OS - linux mint mate 20 ulyana
> x2goclient version - 4.1.2.2-1
>
> x2goclient session settings -
> [20210612224421681]
> applications=WWWBROWSER, MAILCLIENT, OFFICE, TERMINAL
> autologin=false
> clipboard=both
> command=MATE
> defsndport=true
> directrdp=false
> directrdpsettings=
> directxdmcp=false
> directxdmcpsettings=
> display=1
> dpi=142
> export=
> fstunnel=true
> fullscreen=false
> height=1080
> host=<host name here>
> icon=:/img/icons/128x128/x2gosession.png
> iconvfrom=ISO8859-1
> iconvto=UTF-8
> kdrive=false
> key=/path/to/user/sshkey
> krbdelegation=false
> krblogin=false
> maxdim=false
> multidisp=false
> name=<session name here>
> pack=2m-jpeg
> print=false
> published=false
> quality=9
> rdpclient=rdesktop
> rdpoptions=
> rdpport=3389
> rdpserver=
> rootless=false
> setdpi=true
> sndport=4713
> sound=true
> soundsystem=pulse
> soundtunnel=true
> speed=2
> sshport=<ssh custom port no>
> sshproxyautologin=false
> sshproxyhost=
> sshproxykeyfile=
> sshproxykrblogin=false
> sshproxyport=22
> sshproxysamepass=false
> sshproxysameuser=false
> sshproxytype=SSH
> sshproxyuser=
> startsoundsystem=true
> type=auto
> useiconv=false
> usekbd=true
> user=<remote user name here>
> usesshproxy=false
> width=1920
> xdmcpclient=Xnest
> xdmcpserver=localhost
> xinerama=false
>
> server OS - ubuntu server 20.04 LTS
> x2goserver: 4.1.0.3
> x2goserver-common: 4.1.0.3
> x2goserver-extensions: 4.1.0.3
> x2goserver-fmbindings: 4.1.0.3
> x2goserver-printing: 4.1.0.3
> x2goserver-x2goagent: 3.5.99.23  (not sure why this x2goagent version is out of sink with the others, how can I update this)
> x2goserver-xsession: 4.1.0.3
>
> x2goagent options -
> (removed the comments )
>
> X2GO_NXAGENT_DEFAULT_OPTIONS=""
> X2GO_NXAGENT_DEFAULT_OPTIONS+=" -extension GLX"
> X2GO_NXAGENT_DEFAULT_OPTIONS+=" -nolisten tcp"
> X2GO_NXAGENT_DEFAULT_OPTIONS+=" -clipboard client"
> X2GO_NXOPTIONS=""
>
> desktop environment installed
> mate installed with
> apt-get install ubuntu-mate-desktop
>
> other settings not changed
>
>
> Moreover the server version installed is from 2018 and its not in the same timeline as the client version which is from 2020. Is there a server version after 2020 or so?
> I couldn't find it here.
> https://code.x2go.org/releases/source/x2goserver/
>
>
>
> Aside from the above issue.
> Finding relevant issue for checking if already someone has raised / if solution already exist cannot be searched with the url stated below
> https://bugs.x2go.org/cgi-bin/pkgindex.cgi?indexon=src
> It would be better if existing issues and/ or solutions are searchable somewhere in x2go website.
>
> regards
> Daniel
>
>
>
> ---------- Forwarded message ---------
> From: X2Go Bug Tracking System <owner@bugs.x2go.org>
> Date: Mon, Jun 28, 2021 at 4:00 PM
> Subject: Message with no Package: tag cannot be processed! (Fwd: Message with no Package: tag cannot be processed! (Bug: server clipboard settings overridden by client when session is closed and reconnected))
> To: DANIEL PAVANAN <ar.daniel.pavanan@gmail.com>
>
>
> Your message didn't have a Package: line at the very first line of the
> mail body (part of the pseudo-header), or didn't have a Package: line
> at all. Unfortunatly, this means that your message has been ignored
> completely.
>
> Without this information we are unable to categorise or otherwise deal
> with your problem report. Please _resubmit_ your report to
> submit@bugs.x2go.org and tell us which package the
> report is for. For help, check out
> https://bugs.x2go.org/Reporting.html.
>
> Your message was dated Mon, 28 Jun 2021 15:54:51 +0530 and had
> message-id <CACbeUuqboFi5c9N+j7fcRqndz-_H4aLpW5HRhakWy6DFWm+XmQ@mail.gmail.com>
> and subject Fwd: Message with no Package: tag cannot be processed! (Bug: server clipboard settings overridden by client when session is closed and reconnected).
> The complete text of it is attached to this message.
>
> If you need any assistance or explanation please contact
> owner@bugs.x2go.org and include the the attached
> message.
>
> If you didn't send the attached message (spam was sent forging your
> from address), we apologize; please disregard this message.
>
> --
> -1: https://bugs.x2go.org/cgi-bin/bugreport.cgi?bug=-1
> X2Go Bug Tracking System
> Contact owner@bugs.x2go.org with problems
>
>
>
> ---------- Forwarded message ----------
> From: DANIEL PAVANAN <ar.daniel.pavanan@gmail.com>
> To: submit@bugs.x2go.org
> Cc:
> Bcc:
> Date: Mon, 28 Jun 2021 15:54:51 +0530
> Subject: Fwd: Message with no Package: tag cannot be processed! (Bug: server clipboard settings overridden by client when session is closed and reconnected)
> Package : x2go server
> x2goserver: 4.1.0.3
>
> (I earlier sent this mail with a greeting line and my mail got auto-rejected and got to know only now from spam folder.
> Now resending with package line being the first line of the mail body )
> I ve encountered a bug in the server's clipboard setting. Please review the below detail and advise necessary solutions or kindly fix issues.
>
> Problem -
> server clipboard settings overridden by client when session is closed and reconnected  with any change in session setting.
>
> Steps to reproduce-
> 1 edit /etc/x2go/x2goagent.options, added
>  ...
>    X2GO_NXAGENT_DEFAULT_OPTIONS+=" -clipboard client"
>
> 2 reloaded server, setup up client session setting and connected
> first time around it works as intended (from the client we could copy to server, but not from server to client)
>
> 3 now close the x2go client session window and change some setting in session preferences -> Input/ Output -> clipboard more (it could be server to client copy or bidirectional copy ) and connect the session again
> Now the server's clipboard setting is overridden by the clients clipboard setting and we can copy from server to client.
> Change in the session preferences can also be something different like change in compression method in connection tab
>
> Expected behaviour
> whatever the action from client side, when server setting for clipboard options is set, client's option should NOT override
>
>
> Info
> Client OS - linux mint mate 20 ulyana
> x2goclient version - 4.1.2.2-1
>
> x2goclient session settings -
> [20210612224421681]
> applications=WWWBROWSER, MAILCLIENT, OFFICE, TERMINAL
> autologin=false
> clipboard=both
> command=MATE
> defsndport=true
> directrdp=false
> directrdpsettings=
> directxdmcp=false
> directxdmcpsettings=
> display=1
> dpi=142
> export=
> fstunnel=true
> fullscreen=false
> height=1080
> host=<host name here>
> icon=:/img/icons/128x128/x2gosession.png
> iconvfrom=ISO8859-1
> iconvto=UTF-8
> kdrive=false
> key=/path/to/user/sshkey
> krbdelegation=false
> krblogin=false
> maxdim=false
> multidisp=false
> name=<session name here>
> pack=2m-jpeg
> print=false
> published=false
> quality=9
> rdpclient=rdesktop
> rdpoptions=
> rdpport=3389
> rdpserver=
> rootless=false
> setdpi=true
> sndport=4713
> sound=true
> soundsystem=pulse
> soundtunnel=true
> speed=2
> sshport=<ssh custom port no>
> sshproxyautologin=false
> sshproxyhost=
> sshproxykeyfile=
> sshproxykrblogin=false
> sshproxyport=22
> sshproxysamepass=false
> sshproxysameuser=false
> sshproxytype=SSH
> sshproxyuser=
> startsoundsystem=true
> type=auto
> useiconv=false
> usekbd=true
> user=<remote user name here>
> usesshproxy=false
> width=1920
> xdmcpclient=Xnest
> xdmcpserver=localhost
> xinerama=false
>
> server OS - ubuntu server 20.04 LTS
> x2goserver: 4.1.0.3
> x2goserver-common: 4.1.0.3
> x2goserver-extensions: 4.1.0.3
> x2goserver-fmbindings: 4.1.0.3
> x2goserver-printing: 4.1.0.3
> x2goserver-x2goagent: 3.5.99.23  (not sure why this x2goagent version is out of sink with the others, how can I update this)
> x2goserver-xsession: 4.1.0.3
>
> x2goagent options -
> (removed the comments )
>
> X2GO_NXAGENT_DEFAULT_OPTIONS=""
> X2GO_NXAGENT_DEFAULT_OPTIONS+=" -extension GLX"
> X2GO_NXAGENT_DEFAULT_OPTIONS+=" -nolisten tcp"
> X2GO_NXAGENT_DEFAULT_OPTIONS+=" -clipboard client"
> X2GO_NXOPTIONS=""
>
> desktop environment installed
> mate installed with
> apt-get install ubuntu-mate-desktop
>
> other settings not changed
>
>
> Moreover the server version installed is from 2018 and its not in the same timeline as the client version which is from 2020. Is there a server version after 2020 or so?
> I couldn't find it here.
> https://code.x2go.org/releases/source/x2goserver/
>
>
>
> Aside from the above issue.
> Finding relevant issue for checking if already someone has raised / if solution already exist cannot be searched with the url stated below
> https://bugs.x2go.org/cgi-bin/pkgindex.cgi?indexon=src
> It would be better if existing issues and/ or solutions are searchable somewhere in x2go website.
>
> regards
> Daniel
>
>
> ---------- Forwarded message ---------
> From: X2Go Bug Tracking System <owner@bugs.x2go.org>
> Date: Mon, Jun 14, 2021 at 1:20 AM
> Subject: Message with no Package: tag cannot be processed! (Bug: server clipboard settings overridden by client when session is closed and reconnected)
> To: DANIEL PAVANAN <ar.daniel.pavanan@gmail.com>
>
>
> Your message didn't have a Package: line at the very first line of the
> mail body (part of the pseudo-header), or didn't have a Package: line
> at all. Unfortunatly, this means that your message has been ignored
> completely.
>
> Without this information we are unable to categorise or otherwise deal
> with your problem report. Please _resubmit_ your report to
> submit@bugs.x2go.org and tell us which package the
> report is for. For help, check out
> https://bugs.x2go.org/Reporting.html.
>
> Your message was dated Mon, 14 Jun 2021 01:15:05 +0530 and had
> message-id <CACbeUura=bZE7_uUcfVcr9dMAkdexLsQ7GaUShsG7gaSfg9akA@mail.gmail.com>
> and subject Bug: server clipboard settings overridden by client when session is closed and reconnected.
> The complete text of it is attached to this message.
>
> If you need any assistance or explanation please contact
> owner@bugs.x2go.org and include the the attached
> message.
>
> If you didn't send the attached message (spam was sent forging your
> from address), we apologize; please disregard this message.
>
> --
> -1: https://bugs.x2go.org/cgi-bin/bugreport.cgi?bug=-1
> X2Go Bug Tracking System
> Contact owner@bugs.x2go.org with problems
>
>
>
> ---------- Forwarded message ----------
> From: DANIEL PAVANAN <ar.daniel.pavanan@gmail.com>
> To: submit@bugs.x2go.org
> Cc:
> Bcc:
> Date: Mon, 14 Jun 2021 01:15:05 +0530
> Subject: Bug: server clipboard settings overridden by client when session is closed and reconnected
>
> Hello X2go Team
>
> Package : x2go server
> x2goserver: 4.1.0.3
>
> I ve encountered a bug in the server's clipboard setting. Please review the below detail and advise necessary solutions or kindly fix issues.
>
> Problem -
> server clipboard settings overridden by client when session is closed and reconnected  with any change in session setting.
>
> Steps to reproduce-
> 1 edit /etc/x2go/x2goagent.options, added
>  ...
>    X2GO_NXAGENT_DEFAULT_OPTIONS+=" -clipboard client"
>
> 2 reloaded server, setup up client session setting and connected
> first time around it works as intended (from the client we could copy to server, but not from server to client)
>
> 3 now close the x2go client session window and change some setting in session preferences -> Input/ Output -> clipboard more (it could be server to client copy or bidirectional copy ) and connect the session again
> Now the server's clipboard setting is overridden by the clients clipboard setting and we can copy from server to client.
> Change in the session preferences can also be something different like change in compression method in connection tab
>
> Expected behaviour
> whatever the action from client side, when server setting for clipboard options is set, client's option should NOT override
>
>
> Info
> Client OS - linux mint mate 20 ulyana
> x2goclient version - 4.1.2.2-1
>
> x2goclient session settings -
> [20210612224421681]
> applications=WWWBROWSER, MAILCLIENT, OFFICE, TERMINAL
> autologin=false
> clipboard=both
> command=MATE
> defsndport=true
> directrdp=false
> directrdpsettings=
> directxdmcp=false
> directxdmcpsettings=
> display=1
> dpi=142
> export=
> fstunnel=true
> fullscreen=false
> height=1080
> host=<host name here>
> icon=:/img/icons/128x128/x2gosession.png
> iconvfrom=ISO8859-1
> iconvto=UTF-8
> kdrive=false
> key=/path/to/user/sshkey
> krbdelegation=false
> krblogin=false
> maxdim=false
> multidisp=false
> name=<session name here>
> pack=2m-jpeg
> print=false
> published=false
> quality=9
> rdpclient=rdesktop
> rdpoptions=
> rdpport=3389
> rdpserver=
> rootless=false
> setdpi=true
> sndport=4713
> sound=true
> soundsystem=pulse
> soundtunnel=true
> speed=2
> sshport=<ssh custom port no>
> sshproxyautologin=false
> sshproxyhost=
> sshproxykeyfile=
> sshproxykrblogin=false
> sshproxyport=22
> sshproxysamepass=false
> sshproxysameuser=false
> sshproxytype=SSH
> sshproxyuser=
> startsoundsystem=true
> type=auto
> useiconv=false
> usekbd=true
> user=<remote user name here>
> usesshproxy=false
> width=1920
> xdmcpclient=Xnest
> xdmcpserver=localhost
> xinerama=false
>
> server OS - ubuntu server 20.04 LTS
> x2goserver: 4.1.0.3
> x2goserver-common: 4.1.0.3
> x2goserver-extensions: 4.1.0.3
> x2goserver-fmbindings: 4.1.0.3
> x2goserver-printing: 4.1.0.3
> x2goserver-x2goagent: 3.5.99.23  (not sure why this x2goagent version is out of sink with the others, how can I update this)
> x2goserver-xsession: 4.1.0.3
>
> x2goagent options -
> (removed the comments )
>
> X2GO_NXAGENT_DEFAULT_OPTIONS=""
> X2GO_NXAGENT_DEFAULT_OPTIONS+=" -extension GLX"
> X2GO_NXAGENT_DEFAULT_OPTIONS+=" -nolisten tcp"
> X2GO_NXAGENT_DEFAULT_OPTIONS+=" -clipboard client"
> X2GO_NXOPTIONS=""
>
> desktop environment installed
> mate installed with
> apt-get install ubuntu-mate-desktop
>
> other settings not changed
>
>
> Moreover the server version installed is from 2018 and its not in the same timeline as the client version which is from 2020. Is there a server version after 2020 or so?
> I couldn't find it here.
> https://code.x2go.org/releases/source/x2goserver/
>
>
>
> Aside from the above issue.
> Finding relevant issue for checking if already someone has raised / if solution already exist cannot be searched with the url stated below
> https://bugs.x2go.org/cgi-bin/pkgindex.cgi?indexon=src
> It would be better if existing issues and/ or solutions are searchable somewhere in x2go website.
>
> regards
> Daniel
>
> _______________________________________________
> x2go-dev mailing list
> x2go-dev@lists.x2go.org
> https://lists.x2go.org/listinfo/x2go-dev


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Sun Dec 4 07:55:43 2022; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.